import { httpRequest } from '@/services/http'
import { HttpRequest } from '@/services/http/interface'

/**
 * 历史行情
 */
export function queryHistoryDatas(params: HttpRequest<{ req: { goodscode?: string }, rsp: Ermcp.QueryHistoryDatasRsp[] }>) {
    return httpRequest('/Quote/QueryHistoryDatas', 'get', params);
}

/**
 * 历史行情
 */
export function queryTSData(params: HttpRequest<{ req: { goodscode?: string }, rsp: Ermcp.QueryTSDataRsp }>) {
    return httpRequest('/Quote/QueryTSData', 'get', params);
}